routes/web.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes([
    'register' => false, // Registration Routes...
    'reset' => false, // Password Reset Routes...
    'verify' => false, // Email Verification Routes...
  ]);

Route::get('/', function () {
    return view('welcome');
});
Route::get('/home', function() {
    return view('home');
})->name('home')->middleware('auth');

Route::resource('users', UserController::class)->middleware('auth');

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        //
    }
}

resources/views/home.blade.php
@extends('adminlte::page')

@section('title', 'VaccinPau')

@section('content_header')
    <h1 class="m-0 text-dark">Bienvenue</h1>
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    Vous êtes identifié(e) en tant que <B>{{ Auth::user()->name }}</B>.<BR><BR>
                    Vous disposez d'une habilitation de niveau <B>{{ Auth::user()->level }}</B> :<BR>
                    <ul>
                    <I>
                    <li>Le niveau 0 n'a aucun droit,</li>
                    <li>Le niveau 1 permet de consulter des informations,</li>
                    <li>Le niveau 2 permet en plus de modifier des informations,</li>
                    <li>Le niveau 3 permet l'administration complète de l'application.</li>
                    </I>
                    </ul>
                </div>
            </div>
        </div>
    </div>
@stop

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/users/create.blade.php
@extends('adminlte::page')

@section('title', 'Add New User')

@section('content_header')

<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12 margin-tb">
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title">Create User</h3>
                    <div class="card-tools">
                        <a class="btn btn-success" href="{{ route('users.index') }}"> Back</a>
                    </div>
                </div>

                <div class="card-body">

                    <form action="{{ route('users.store') }}" method="POST">
                        @csrf

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="form-group">
                                    <strong>Name:</strong>
                                    <input type="text" name="name" class="form-control" placeholder="Name">
                                    <strong>Email:</strong>
                                    <input type="email" name="email" class="form-control" placeholder="Email">
                                    <strong>Password:</strong>
                                    <input type="password" name="password" class="form-control" placeholder="">

                                    <strong>Level:</strong><BR>
                                    <select name="level">
                                        <option value="1">Reader</option>
                                        <option value="2">Writer</option>
                                        <option value="3">Admin</option>
                                    </select>
                                    <BR>

                                    <strong>Site:</strong><BR>
                                    <select name="site">
                                        <option value="%">ALL</option>
                                        @foreach ($sites as $site)
                                        <option value="{{ $site->site }}">{{ $site->site }}</option>
                                        @endforeach
                                    </select>
                                    <BR>

                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                                <button type="submit" class="btn btn-primary">Create</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@section('content')

@endsection

@stop

@section('css')

@stop

@section('js')

@stop

resources/views/users/edit.blade.php
@extends('adminlte::page')

@section('title', 'Edit User')

@section('content_header')


@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12 margin-tb">
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title">Edit User</h3>
                    <div class="card-tools">
                        <a class="btn btn-success" href="{{ route('users.index') }}"> Back</a>
                    </div>
                </div>

                <div class="card-body">

                    <form action="{{ route('users.update',$user->id) }}" method="POST">
                        @csrf
                        @method('PUT')

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="form-group">

                                    @if (Auth::user()->level == 3)
                                    <input name="action" type="hidden" value="EDIT">
                                    <strong>Name:</strong>
                                    <input type="text" name="name" value="{{ $user->name }}" class="form-control"
                                        placeholder="Name">
                                    <strong>Email:</strong>
                                    <input type="email" name="email" value="{{ $user->email }}" class="form-control"
                                        placeholder="Email">
                                    <!--
                                    <strong>Password:</strong>
                                    <input type="password" name="password" value="" class="form-control" placeholder="">
                                    -->
                                    <strong>Level:</strong><BR>
                                    <select name="level">
                                        @if ($user->level === 1)
                                        <option value="1" selected>Reader</option>
                                        @else
                                        <option value="1">Reader</option>
                                        @endif
                                        @if ($user->level === 2)
                                        <option value="2" selected>Writer</option>
                                        @else
                                        <option value="2">Writer</option>
                                        @endif
                                        @if ($user->level === 3)
                                        <option value="3" selected>Admin</option>
                                        @else
                                        <option value="3">Admin</option>
                                        @endif
                                    </select>
                                    <BR>

                                    <strong>Site:</strong><BR>
                                    <select name="site">
                                        <option value="%">ALL</option>
                                        @foreach ($sites as $site)
                                        @if ($user->site === $site->site)
                                        <option value="{{ $site->site }}" selected>{{ $site->site }}</option>
                                        @else
                                        <option value="{{ $site->site }}">{{ $site->site }}</option>
                                        @endif
                                        @endforeach
                                    </select>
                                    <BR>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                                <button type="submit" class="btn btn-primary">Save Changes</button>
                            </div>
                            @else
                            <input name="action" type="hidden" value="PWD">
                            <strong>Name:</strong>{{ $user->name }}<BR>
                            <input name="name" type="hidden" value="{{ $user->name }}">
                            <strong>Email:</strong>{{ $user->email }}<BR>
                            <input name="email" type="hidden" value="{{ $user->email }}">
                            <strong>Password:</strong>
                            <input type="password" name="password" value="" class="form-control"
                                placeholder="type a new password">

                            <strong>Level:</strong><BR>{{ $user->level }}<BR>
                            <input name="level" type="hidden" value="{{ $user->level }}">
                            <strong>Site:</strong><BR>{{ $user->site }}<BR>
                            <input name="site" type="hidden" value="{{ $user->site }}">
                        </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Save New Password</button>
                </div>
                @endif

            </div>
            </form>
        </div>
    </div>
</div>



@endsection

@stop

@section('css')

@stop

@section('js')

@stop

resources/views/users/index.blade.php
@extends('adminlte::page')

@section('title', 'List Users')

@section('content_header')

@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12 margin-tb">
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif

            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title">List Users</h3>
                    <div class="card-tools">
                        @if (Auth::user()->level == 3)
                        <a class="btn btn-success" href="{{ route('users.create') }}">Create New User</a>
                        @endif
                    </div>
                </div>

                <div class="card-body">
                    <table id="mytable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Level</th>
                                <th>Site</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($users as $user)
                            <tr>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->level }}</td>
                                <td>{{ $user->site }}</td>
                                <td align="center">
                                    @if (Auth::user()->level == 3)
                                    <form action="{{ route('users.destroy',$user->id) }}" method="POST">
                                        <a class="btn btn-primary btn-xs"
                                            href="{{ route('users.edit',$user->id) }}">Edit</a>
                                            <a class="btn btn-info btn-xs"
                                            href="{{ route('users.show',$user->id) }}">Change Password</a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-xs" onclick="return confirm('Delete this User ?')">Delete</button>
                                    </form>
                                    @elseif (Auth::user()->id == $user->id)
                                    <a class="btn btn-primary btn-xs"
                                            href="{{ route('users.edit',$user->id) }}">Change Password</a>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@stop

@section('css')

@stop

@section('js')

<script>
$(function() {
    $("#mytable").DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
});
$(".confirmdelete").on("submit", function(){
        return !confirm("Please, select cancel to delete this item");
    });
</script>


@stop

resources/views/users/show.blade.php
@extends('adminlte::page')

@section('title', 'Edit User')

@section('content_header')


@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12 margin-tb">
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title">Edit User</h3>
                    <div class="card-tools">
                        <a class="btn btn-success" href="{{ route('users.index') }}"> Back</a>
                    </div>
                </div>

                <div class="card-body">

                    <form action="{{ route('users.update',$user->id) }}" method="POST">
                        @csrf
                        @method('PUT')

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="form-group">

                                <input name="action" type="hidden" value="PWD">
                                    <strong>Name:</strong>{{ $user->name }}<BR>
                                    <input name="name" type="hidden" value="{{ $user->name }}">
                                    <strong>Email:</strong>{{ $user->email }}<BR>
                                    <input name="email" type="hidden" value="{{ $user->email }}">
                                    <strong>Password:</strong>
                                    <input type="password" name="password" value="" class="form-control"
                                        placeholder="type a new password">

                                    <strong>Level:</strong><BR>{{ $user->level }}<BR>
                                    <input name="level" type="hidden" value="{{ $user->level }}">
                                    <strong>Site:</strong><BR>{{ $user->site }}<BR>
                                    <input name="site" type="hidden" value="{{ $user->site }}">
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                                <button type="submit" class="btn btn-primary">Save New Password</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection

@stop

@section('css')

@stop

@section('js')

@stop